import * as i0 from "@angular/core";
export declare class PubSubService {
    private eventMap;
    $sub(eventName: string, callback: (data: any) => void): void;
    $pub(eventName: string, data?: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PubSubService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PubSubService>;
}
